#include <bits/stdc++.h>
using namespace std;
long long a,a1,b,b1;
int main(){
cin>>a>>a1>>b>>b1;
    if(a1==b1)cout<<"2";
        else if(a==b)cout<<"2";
                else if(abs(a-b)==abs(a1-b1))cout<<"1";
                        else cout<<"0";


return 0;
}